DH_GENCONTROL(1)

NOM
dh_gencontrol - Produire et installer le fichier de contrôle

SYNOPSIS
dh_gencontrol [options_de_debhelper] [-- paramètres]

DESCRIPTION
dh_gencontrol est un programme de la suite debhelper chargé de la production des fichiers de contrôle et de leur installation dans le répertoire DEBIAN avec les droits appropriés.

Ce programme est simplement une encapsulation de dpkg-gencontrol(1).  dh_gencontrol l'invoque pour chacun des paquets construits (plus les paquets dbgsym concernés), et lui transmet quelques options utiles.

Remarque : si vous utilisez dh_gencontrol, vous devez aussi utiliser dh_builddeb(1) pour construire les paquets. Autrement, votre construction pourrait échouer car dh_gencontrol (à l’aide de dpkg-gencontrol(1)) déclare quels paquets sont construits. Puisque debhelper génère automatiquement des paquets dbgsym, il ajoute quelques fois des paquets supplémentaires qui seront construits par dh_builddeb(1).

OPTIONS

-- paramètres
    Fournit paramètres à dpkg-gencontrol(1).

-uparamètres, --dpkg-gencontrol-params=paramètres
    Méthode obsolète pour fournir les paramètres à dpkg-gencontrol(1), préférer --.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».